# WOK
TKWOK
WOKernel

# WOKernel_ImplDepIterator Class Reference

`#include <WOKernel_ImplDepIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKernel_ImplDepIterator (const Handle(WOKernel_UnitGraph)&aDependencyGraph, const Handle(TCollection_HAsciiString)&anUd)
Standard_EXPORT Standard_Boolean | More () const
| Returns TRUE if there are other uds. .
Standard_EXPORT void | Next ()
| Set the iterator to the next ud. .
Standard_EXPORT Handle_TCollection_HAsciiString | Value ()
| Returns the ud value for the current position of the iterator. .
Standard_EXPORT void | GetSuppliers ()

## Private Attributes

Handle_WOKernel_UnitGraph | myDepGraph
Standard_Boolean | myMore
Handle_TCollection_HAsciiString | myCurrentUd
Handle_TColStd_HSequenceOfHAsciiString | mySuppliers
Standard_Integer | myIndex

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_ImplDepIterator::WOKernel_ImplDepIterator | ( | const Handle(WOKernel_UnitGraph)& | aDependencyGraph,
|  | const Handle(TCollection_HAsciiString)& | anUd
| ) |

## Member Function Documentation

Standard_EXPORT void WOKernel_ImplDepIterator::GetSuppliers | ( |  | ) |

Standard_EXPORT Standard_Boolean WOKernel_ImplDepIterator::More | ( |  | ) | const

Standard_EXPORT void WOKernel_ImplDepIterator::Next | ( |  | ) |

void WOKernel_ImplDepIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKernel_ImplDepIterator::operator new | ( | size_t | size | ) | `[inline]`

void* WOKernel_ImplDepIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_ImplDepIterator::Value | ( |  | ) |

## Field Documentation

Handle_TCollection_HAsciiString WOKernel_ImplDepIterator::myCurrentUd `[private]`

Handle_WOKernel_UnitGraph WOKernel_ImplDepIterator::myDepGraph `[private]`

Standard_Integer WOKernel_ImplDepIterator::myIndex `[private]`

Standard_Boolean WOKernel_ImplDepIterator::myMore `[private]`

Handle_TColStd_HSequenceOfHAsciiString WOKernel_ImplDepIterator::mySuppliers `[private]`

The documentation for this class was generated from the following file:

- WOKernel_ImplDepIterator.hxx